#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

class SidfmdHostApp < ActiveRecord::Base
  belongs_to :sidfmd_host

  # 表示用の名称を出力する。
  # SidfmdQueueLapp#get_nameと同じになるようにすること。
  def get_name
    ret = nil
    if version_id and version_id > 0 then
      ver = SidfmdVersion.where(:vid => version_id).first
      if ver then
        ret = ver.fullname
      end
    elsif product_id and product_id > 0 then
      prod = SidfmdProduct.where(:pid => product_id).first
      if prod then
        ret = prod.name
      end
    end
    ret
  end

end
