#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

class CreateSidfmHosts < ActiveRecord::Migration
  def change
    create_table :sidfm_hosts do |t|
      t.string :hosttype
      t.string :hostgroup_id
      t.string :hostgroup
      t.string :host_id
      t.string :hostname

      t.integer :lock_version, default: 0, null: false
      t.timestamps
    end
  end
end
